Subject: Scheduled maintenance emails should contain reference to host

Description: Emails about scheduled maintenance tell me my guest's name, its main IPv4 address, and a time window for 

its maintenance.


However, communications on Twitter about the maintenance generally refer only to the host.





It would be good to list the host each guest is on, so that it can be easily correlated to the Twitter updates 

without having to log into the panel.

History

2021-08-26 02:10 - admin

The existing email has a section like this:





<pre>


## Your Maintenance Window(s) ## 





Your VPS has been assigned a maintenance window during which the reboots


will take place. The start of the maintenance window for your VPS is


listed below, in UTC time zone. Each maintenance window is up to 60


minutes long, though the work should be completed much sooner than this,


typically within about 15â€“20 minutes (yay, SSDs!).





+-----------------+---------------+--------------------+


| Name            | Main IPv4     | Window start (UTC) |


+-----------------+---------------+--------------------+


|     accountname |    85.119.x.y | 2021-08-25 01:45   |


+-----------------+---------------+--------------------+


</pre>





If the table were instead like:





<pre>


+-----------------+---------------+------------+--------------------+


| Name            | Main IPv4     | Hosted on  | Window start (UTC) |


+-----------------+---------------+------------+--------------------+


|     accountname | 85.119.x.y    | limoncello | 2021-08-25 01:45   |


+-----------------+---------------+------------+--------------------+


</pre>





would this satisfy your request?





The above is 69 characters wide so should still fit okay in a plain text email ("limoncello" is currently the longest host name).





While we're here, the account name is currently right-aligned so perhaps the heading should be as well?





<pre>


+-----------------+---------------+------------+--------------------+


|            Name | Main IPv4     | Hosted on  | Window start (UTC) |


2025-12-13 1/4



+-----------------+---------------+------------+--------------------+


|     accountname | 85.119.x.y    | limoncello | 2021-08-25 01:45   |


+-----------------+---------------+------------+--------------------+


</pre>





Possibly we could also use "Unicode box-drawing characters":https://en.wikipedia.org/wiki/Box-drawing_character#Box_Drawing and indicate that the 

email is utf8, but this may render incorrectly on broken mailers.





<pre>


â•­â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â•®


â”‚            Name â”‚ Main IPv4     â”‚ Hosted on  â”‚ Window start (UTC) â”‚


â”œâ”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"”

€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¤


â”‚     accountname â”‚ 85.119.x.y    â”‚ limoncello â”‚ 2021-08-25 01:45   â”‚


â•°â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"”

€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â•¯


</pre>





Looks a bit wonky even in my web browser.

2021-08-26 02:16 - admin

- File box-drawing.png added

Came out quite nicely in my NeoMutt though!





!box-drawing.png!

2021-08-26 07:03 - magnus

I'd left-align name, both header and value, as the values aren't long


enough to have trouble matching a name to the rest of the row.





The IPv4 column needs to be slighter wider if three-digit bytes can


appear.





To stress the time is UTC, I'd put that first.





And then I'd copy the Bell Labs style of tables, seen in their many


books, and not box everything as it typically only adds clutter.


Emphasise the heading, separate columns only if it aids clarity. 





So, rather than


<pre>


â•­â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”¬â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â•®


â”‚            Name â”‚ Main IPv4     â”‚ Hosted on  â”‚ Window start (UTC) â”‚


â”œâ”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"”

€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¤


â”‚     accountname â”‚ 85.119.x.y    â”‚ limoncello â”‚ 2021-08-25 01:45   â”‚


â•°â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"”

€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â•¯


</pre>


it would be


<pre>


2025-12-13 2/4



    

â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••"

••â••â••â••â••â••â••â••â••â••


     Name             Main IPv4       Hosted on   UTC start


    

â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


     accountname      85.119.123.123  limoncello  2021-08-25 01:45


     alongeraccount   85.119.123.123  limoncello  2021-08-25 02:15


    

â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


</pre>


or


<pre>


    

â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â•¤â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â•¤â••â••â••â••â••â••â••â••â••â••â••â••â•¤â••â••â••â••"•

•â••â••â••â••â••â••â••â••â••â••â••â••â••


     Name            â”‚ Main IPv4      â”‚ Hosted on  â”‚ UTC start


    

â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€

â”€â”¼â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


     accountname     â”‚ 85.119.123.123 â”‚ limoncello â”‚ 2021-08-25 01:45


     alongeraccount  â”‚ 85.119.123.123 â”‚ limoncello â”‚ 2021-08-25 02:15


    

â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"”

€â”´â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


</pre>

2021-08-28 15:08 - admin

- Status changed from New to Resolved

Okay, I did that:





<pre>


â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••â••"

••â••â••â••â••â••â••â••â••                                                          


 Name             Main IPv4      Hosted on   UTC Window start                                                           


â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


 custdbpri        85.119.80.204  clockwork   2021-08-23 23:15


 ansible          85.119.80.196  clockwork   2021-08-23 23:15


 aptcacher0       85.119.80.253  hobgoblin   2021-08-24 00:15


 testpanel0       85.119.80.214  jack        2021-08-24 01:15


 bitweb0          85.119.80.199  jack        2021-08-24 01:15


â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€"

”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€â”€


</pre>





â€¦though hopefully we will not need it for a long time. ðŸ˜€

2021-08-28 16:49 - zuzak

- File Screenshot_2021-08-28_at_17-49-14__Misc_infrastructure_-_Feature__198___Resolved__Scheduled_maintenance_emails_should_conta_..._.png added

Can you use tabs instead of spaces?


2025-12-13 3/4



This looks weird (as does the old) on proportional fonts (e.g. Gmail)

2021-08-28 17:05 - admin

- Status changed from Resolved to In Progress

Oh dear, I did wonder when this would be coming! In my day email was read in fixed width font, get off my lawn etc.





I guess there's more of this heresy than proper email now, so I probably should give in and send HTML email.





In the mean time yes I will try using tabs. Is it reasonable to assume that a tab is about 8 columns?

2021-08-28 22:59 - admin

- File gmail-table.png added

- Status changed from In Progress to Resolved

I just changed it to HTML. It now looks like this on gmail.





!gmail-table.png!

Files

box-drawing.png 49.9 KB 2021-08-26 admin

Screenshot_2021-08-28_at_17-49-14__Misc_infrastructure_-_Feature__198___Resolved__Scheduled_maintenance_emails_should_conta_..._.png23.8 KB 2021-08-28 zuzak

gmail-table.png 68.3 KB 2021-08-28 admin
